2021-11-13 06:19:48 UTC
44.8 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:afe0e1febe23918824088b45b415ce1778e92899ae26f0867294eb91de50aa4f - 6.02% (2.7 MB)
[#001] sha256:5cd997c8b6363c68575b61009e8ca5d1384341243dd890de5eeda3eb497f77bb - 0.0% (1.23 KB)
[#002] sha256:3f76a08b1620e00334bdb461749243b6a43e767557e948b776d4672a08a4f137 - 93.97% (42.1 MB)
[#003] sha256:d4f744f10f839222456505d1523f900e18b943259c3096857a2592395f77b084 - 0.0% (173 Bytes)
[#004] sha256:4e80487615705b444e547ffcd0bb3ea8aceca2dd68b6ceef1c3ab95347f16452 - 0.0% (153 Bytes)
[#005] sha256:c137926072307d795ed8d9de2f02e6a20c9788cf901d3bb619ec49f20292439e - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:f6503c5a96198c02627cf7250b271ec6d49ffa83a87a588498eee61ba7f9c6fe in /
2021-11-12 16:38:50 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-11-13 06:19:35 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.16
2021-11-13 06:19:35 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.8.16 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2021-11-13 06:19:35 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-11-13 06:19:36 UTC|1 CONSUL_VERSION=1.8.16 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-11-13 06:19:44 UTC|1 CONSUL_VERSION=1.8.16 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-11-13 06:19:45 UTC|1 CONSUL_VERSION=1.8.16 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-11-13 06:19:46 UTC|1 CONSUL_VERSION=1.8.16 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-11-13 06:19:46 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-11-13 06:19:47 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-11-13 06:19:47 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-11-13 06:19:47 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-11-13 06:19:47 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2021-11-13 06:19:48 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-11-13 06:19:48 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-11-12 21:59:26 UTC
45.2 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:5758d4e389a3f662e94a85fb76143dbe338b64f8d2a65f45536a9663b05305ad - 5.95% (2.69 MB)
[#001] sha256:ebf254dbeaa3fef95c5677f071ae3d345825fa845e6f4b5ed890c45f76871dfd - 0.0% (1.23 KB)
[#002] sha256:c4c95ea807a3d5777523ccb77a9277ec7e2aa1ab3739ff5cadde9a79db9a5179 - 94.04% (42.5 MB)
[#003] sha256:13b1a4a14828149fa5edc5044f90b651985c756dd381e637361fe837e055e236 - 0.0% (176 Bytes)
[#004] sha256:651f3beee8b2a2a0a5fbef50eacae52d3d8b8e5f323a5ac23face007bfb8dba7 - 0.0% (153 Bytes)
[#005] sha256:053af3dfc6f8374f6aec29ada8e523e370405df63219e60f9b6625f86a38e9e2 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:5a707b9d6cb5fff532e4c2141bc35707593f21da5528c9e71ae2ddb6ba4a4eb6 in /
2021-11-12 17:19:58 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-11-12 21:59:08 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.16
2021-11-12 21:59:08 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.8.16 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2021-11-12 21:59:08 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-11-12 21:59:09 UTC|1 CONSUL_VERSION=1.8.16 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-11-12 21:59:22 UTC|1 CONSUL_VERSION=1.8.16 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-11-12 21:59:23 UTC|1 CONSUL_VERSION=1.8.16 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-11-12 21:59:24 UTC|1 CONSUL_VERSION=1.8.16 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-11-12 21:59:24 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-11-12 21:59:25 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-11-12 21:59:25 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-11-12 21:59:25 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-11-12 21:59:25 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2021-11-12 21:59:25 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-11-12 21:59:26 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-11-13 06:04:49 UTC
40.7 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:846f3a0f3493d22f22643b6a1c057d2d37e608433cd1033d25dac92032b8b9e3 - 6.17% (2.51 MB)
[#001] sha256:bcf4ef515c98c7a84eb35f5f5720cd2828c46fa3cc928aaaa143ae8cf1e2f3b0 - 0.0% (1.23 KB)
[#002] sha256:5cf2a49b395d46e338b5f9aa342bf8c5fed30384e74a4938eb77b32e43dd8658 - 93.82% (38.2 MB)
[#003] sha256:fd78246daf38720d3035adde8b92496db5795856ae20c1a2806df6ca2b557ad8 - 0.0% (175 Bytes)
[#004] sha256:a88374c41dbe010b7a63d28ae07dc13e2a768612e3c5beed3ef1ac6988bc1dd2 - 0.0% (153 Bytes)
[#005] sha256:12fa636a5abd48d6a8dd0cec8c360d3c933de0b2416a11a621b79f7dd0360b74 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:26e756fd544e28ae75be38d81452cf3266a2dabcffe9ecce3af2db9fde9edea3 in /
2021-11-12 16:49:58 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-11-13 06:04:25 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.16
2021-11-13 06:04:26 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.8.16 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2021-11-13 06:04:26 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-11-13 06:04:29 UTC|1 CONSUL_VERSION=1.8.16 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-11-13 06:04:40 UTC|1 CONSUL_VERSION=1.8.16 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-11-13 06:04:43 UTC|1 CONSUL_VERSION=1.8.16 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-11-13 06:04:45 UTC|1 CONSUL_VERSION=1.8.16 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-11-13 06:04:46 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-11-13 06:04:46 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-11-13 06:04:47 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-11-13 06:04:47 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-11-13 06:04:48 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2021-11-13 06:04:49 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-11-13 06:04:49 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-11-13 11:16:57 UTC
40.9 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:06decbbdea2401b400024fb2feadd51ee381cd4b7b78a30306c3828ec9f6c760 - 6.35% (2.59 MB)
[#001] sha256:f3e491289e1e0a27e735bdd7a474dbea5ee6f065e1b6e795418bfa24496c5349 - 0.0% (1.2 KB)
[#002] sha256:500f73ec8c059633a9b25634986e7c0d97f7e4932fbcf52665b2b740e41fcb53 - 93.64% (38.3 MB)
[#003] sha256:cea4c578d4154ceb82c75b549635ed70f32b2bdf4c61080b2cdc52713335cd7c - 0.0% (142 Bytes)
[#004] sha256:aaa2b11a9bb900a8d6ec40528529c43c2b1664197c2a15dc583938596de7efa5 - 0.0% (155 Bytes)
[#005] sha256:9586bcaffa0581f647d9b3e3d88d088d545811337431a97f68d6e315c05e4e17 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:ad85e8724ab9b90e37aadca9513807d07d557e7fc4287ca017f01f269aff3920 in /
2021-11-12 16:40:06 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-11-13 11:16:40 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.16
2021-11-13 11:16:41 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.8.16 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2021-11-13 11:16:42 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-11-13 11:16:43 UTC|1 CONSUL_VERSION=1.8.16 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-11-13 11:16:49 UTC|1 CONSUL_VERSION=1.8.16 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-11-13 11:16:49 UTC|1 CONSUL_VERSION=1.8.16 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-11-13 11:16:50 UTC|1 CONSUL_VERSION=1.8.16 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-11-13 11:16:51 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-11-13 11:16:52 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-11-13 11:16:53 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-11-13 11:16:54 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-11-13 11:16:56 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2021-11-13 11:16:56 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-11-13 11:16:57 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]